[sword-devel] Mandatory CLucene Dependency

DM Smith dmsmith555 at yahoo.com
Wed May 2 14:01:29 MST 2007

Karl Kleinpaste wrote:
> DM Smith <dmsmith555 at yahoo.com> writes:
>> In usrinst.sh it is an option.
> But it seems not to work: Even when commented out, if CLucene is not
> installed, dependencies fail.  It has to be there, even if it's not
> intended to be used.
> And when it is wanted, it seems to be necessary to use e.g.
> --with-clucene=/usr, to explicitly specify CLucene's install prefix.
> Credit to Terry for pointing this out to Moses and myself in
> #gnomesword just a couple days ago.

I just hit this on my FC6 installation. Even if I add 
--with-clucene=/usr (which is where my files are installed) it does not 
work. Also, it appears that it is looking for libclucene.sa, but the RPM 
on FC6 only installed libclucene.so.

I went in and changed the "configure" to look for libclucene.so, but it 
still failed at the same point.

I also added --without-clucene to the options and it did not work either.

Further I am confused (yes, I know, that is normal), in usrinst.sh it 
has -with-lucene, but as far as I can tell, the configure script never 
looks at that value.

I would have replied earlier but this email was put into my spam folder!

More information about the sword-devel mailing list